%define pkgname xsm

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 X Session Manager
Name: 		xorg-x11-%{pkgname}
# NOTE: The Version field should be the version of the xsm tarball.
Version: 	1.0.2
# Bump the release on rebuilds/bugfixes/etc.
Release: 	7
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/app/xsm-1.0.2.tar.bz2
Source1: 	http://xorg.freedesktop.org/releases/individual/app/smproxy-1.0.4.tar.bz2
Source2: 	http://xorg.freedesktop.org/releases/individual/app/rstart-1.0.4.tar.bz2

# Patches for xsm (10-19)
Patch10: 	xsm-1.0.1-xsm-installation-location-fixes.patch
Patch11:	xsm-xaw.patch
# Patches for smproxy (20-29)
#Patch20:

# Patches for rstart (30-39)
Patch30: 	rstart-1.0.2-rstart-installation-location-fixes.patch

BuildRequires: 	automake autoconf

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-util-macros
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libXaw-devel libXext-devel libXt-devel libXpm-devel
BuildRequires: 	inetutils

# NOTE: xorg-x11-filesystem >= 0.99.2-3 is required for OS upgrades from
# monolithic X releases to modular X releases to work properly.
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
# rstart script invokes xauth, rsh
Requires: 	xauth, inetutils

Provides: 	xsm, smproxy, rstart, rstartd

# NOTE: xsm, smproxy, rstart used to be part of the XFree86/xorg-x11 package
Obsoletes: 	xorg

%description
X.Org X11 X Session Manager

%prep
%setup -q -c %{name}-%{version} -a1 -a2
#%patch10 -p0 -b .xsm-installation-location-fixes
#%patch11 -p0
#%patch30 -p0 -b .rstart-installation-location-fixes

%build
# Build everything
{
   for pkg in xsm smproxy rstart ; do
      pushd $pkg-*

      case $pkg in
         # FIXME: Required for rstart-0.99.1-installation-location-fixes.patch
         #        and xsm-0.99.2-xsm-installation-location-fixes.patch
         xsm|rstart)
            aclocal ; automake ; autoconf
            ;;
      esac

      %configure --disable-xprint
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT

# Install everything
{
   for pkg in xsm smproxy rstart ; do
      pushd $pkg-*
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
# FIXME: The rpm package version was accidentally bumped to 1.0.2, so we
# can't use the %%version macro here until a upstream xsm is released as
# version 1.0.2 or higher.
#%doc xsm-%{version}/AUTHORS xsm-%{version}/COPYING xsm-%{version}/INSTALL
#%doc xsm-%{version}/NEWS xsm-%{version}/README xsm-%{version}/ChangeLog
%{_bindir}/rstart
%{_bindir}/rstartd
%{_bindir}/smproxy
%{_bindir}/xsm
%dir %{_datadir}/X11
#%dir %{_datadir}/X11/rstart
#%dir %{_datadir}/X11/rstart/commands
#%{_datadir}/X11/rstart/commands/@List
#%{_datadir}/X11/rstart/commands/ListContexts
#%{_datadir}/X11/rstart/commands/ListGenericCommands
#%dir %{_datadir}/X11/rstart/commands/x11r6
#%{_datadir}/X11/rstart/commands/x11r6/@List
#%{_datadir}/X11/rstart/commands/x11r6/LoadMonitor
#%{_datadir}/X11/rstart/commands/x11r6/Terminal
#%dir %{_datadir}/X11/rstart/contexts
#%{_datadir}/X11/rstart/contexts/@List
#%{_datadir}/X11/rstart/contexts/default
#%{_datadir}/X11/rstart/contexts/x11r6
%{_libdir}/X11/rstart
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XSm
%dir %{_libdir}/X11
#%dir %{_libdir}/X11/rstart
# NOTE: This binary can and probably should sit in /usr/sbin, but oh well.
#%{_libdir}/X11/rstart/rstartd.real
#%dir %{_mandir}/man1x
%{_mandir}/man1
#%dir %{_sysconfdir}/X11
#%dir %{_sysconfdir}/X11/rstart
#%config %{_sysconfdir}/X11/rstart/config
#%dir %{_sysconfdir}/X11/xsm
%{_libdir}/X11/xsm/system.xsm

%changelog
* Mon Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-7
- xsm 1.0.2
- smproxy 1.0.4
- rstart 1.0.4
* Mon Aug  16 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-6
- smproxy 1.0.3
- rstart 1.0.3
* Wed Apr 15 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.2-5
- add xaw patch
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.2-4
- rebuild against libXaw-1.0.5
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.2-3
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-2
- rebuilt for Xorg 7.3
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
